
declare const RF;

import './polifills';
import './vendor/reactiveForms';
import './main.scss';
import {QuestComponent} from './pages/quest/questComponent';
import {Section} from './components/section/section';
import {Menu} from './components/menu/menu';
import {AppModal} from './components/modal/modal';
import {AlertDialog} from './components/alertDialog/alertDialog';
import { Game1 } from './pages/miniGames/game1/game1';
import { Input } from './components/input/input';
import { ButtonComponent } from './components/button/button';


RF.registerComponents([
    Section,Input, ButtonComponent,
    AppModal,AlertDialog, 
    Game1, QuestComponent,
    Menu,
]);

RF.Router.setup({
    quest: QuestComponent,
    game1: Game1
});

RF.applyBindings('body');

RF.Router.navigateTo('quest');